@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

/* don't let images, etc. overflow the page */
img,
svg,
video {
  max-width: 100%;
  display: block;
}

/* dark mode support */
html {
  color-scheme: light;
}

/* restrain and center content */
body {
  margin: 0;
  font-family: Lato, Arial, sans-serif;
  font-size: 100%;
  line-height: 1.5;
}

address {
  font-style: normal;
}

.altcha-widget {
  display: none;
}

.hidden {
  display: none;
}

.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.75);
  z-index: 9999;
  color: #8c1515;
  font-size: 30px;
  font-weight: bold;
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal-content {
  background-color: #fefefe;
  margin: 15% auto; /* 15% from the top and centered */
  padding: 20px;
  border: 1px solid #888;
  width: 80%; /* Could be adjusted */
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  position: relative; /* For positioning the close button */
  text-align: center;
}

form {
  margin: 0;
  box-sizing: border-box;
  display: grid;
  grid-template-columns: fit-content(10ch) fit-content(30ch);
  gap: 10px;
  grid-auto-rows: auto;
  padding-bottom: 10px;
}

form label {
  font-weight: bold;
  grid-column: 1;
  grid-row: 1;
  text-align: right;
  padding-top: 0.5em;
  padding-bottom: 0.5em;
}

form input {
  grid-column: 2;
  grid-row: 1;
  font-size: 16px;
  font-weight: 700;
  border-color: #8c1515;
  border-style: solid;
  border-width: 1px;
  padding-bottom: 12px;
  padding-top: 12px;
  padding-left: 30px;
  padding-right: 30px;
}

form input:disabled {
  background-color: #bbb;
  color: #999;
  border-color: #bbb;
}

form button {
  grid-column: 2;
  grid-row: 2;
  background-color: #8c1515;
  color: #fff;
  font-size: 16px;
  font-weight: 700;
  border-color: #000;
  border-style: solid;
  border-width: 1px;
  cursor: pointer;
  padding-bottom: 12px;
  padding-top: 12px;
  padding-left: 30px;
  padding-right: 30px;
  text-decoration: none;
}

form button:disabled {
  background-color: #bbb;
  color: #999;
  border-color: #bbb;
}

.submit {
  background-color: #8c1515;
  color: #fff;
  font-size: 16px;
  font-weight: 700;
  border-color: #000;
  border-style: solid;
  border-width: 1px;
  cursor: pointer;
  padding-bottom: 12px;
  padding-top: 12px;
  padding-left: 30px;
  padding-right: 30px;
  text-decoration: none;
}

.submit:disabled {
  background-color: #bbb;
  color: #999;
  border-color: #bbb;
}

.username {
  font-size: 16px;
  font-weight: 700;
  border-color: #8c1515;
  border-style: solid;
  border-width: 1px;
  padding-bottom: 12px;
  padding-top: 12px;
  padding-left: 30px;
  padding-right: 30px;
}

.username:disabled {
  background-color: #bbb;
  color: #999;
  border-color: #bbb;
}

.content {
  position: relative;
  max-width: min(70ch, 100% - 4rem);
  margin-inline: auto;
}

.debug {
  font-size: 0.75rem;
  color: #999;
}

.error {
  color: #820000;
}

/**** LAYOUT ****/

.l-constrain {
  align-items: flex-end;
  gap: 4rem;
  justify-content: space-between;
  margin-left: auto;
  margin-right: auto;
  max-width: 81.5rem;
  padding-left: 2rem;
  padding-right: 2rem;
  grid-template-rows: auto;
  grid-template-columns: minmax(min-content, 280px) 1fr;
  grid-template-areas: none;
}

.l-footer__contact {
  grid-area: address;
  margin-bottom: auto;
}

.l-footer__menu {
  color: rgb(46,45,41);
  grid-area: menu;
}

.l-nav {
  color: rgb(46,45,41);
}

.l-footer {
  font-size: .875rem;
  background-image: linear-gradient(to right,#ffffff 0%,#f4f4f4 30%,#eaeaea 100%);
  padding: 1.5rem 0;
}

.l-footer__contact {
  grid-area: address
}

.l-footer__menu {
  grid-area: menu
}

.l-footer > .l-constrain {
  display: grid;
  gap: 1.5rem;
  grid-template: "address" "menu"
}

.l-subfooter {
  background: #8c1515;
  color: #fff;
  font-size: .75rem;
  padding: 2rem 0;
}

.l-subfooter .l-constrain {
  align-items: center;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  justify-content: center
}

.l-subfooter__content {
  flex: 1
}

.l-subfooter__content p:last-child {
  margin-bottom: 0
}

.bottom {
  bottom: 0;
  width: 100%;
}

.l-global-header {
  background-color: #fff;
  padding-block: 18px 12px;
  position: relative;
  z-index: 500
}

/**** COMPONENTS ****/

.c-menu {
  list-style-type: none;
  margin: 0;
  padding: 0
}

.c-menu :where(li) {
  padding-left: 0
}

.c-menu li ::before {
  display: none
}

.c-menu__item {
  margin-bottom: 0
}

.c-menu--footer {
  list-style-type: none;
  margin: 0;
  padding: 0
}

.c-menu--footer :where(li) {
  padding-left: 0
}

.c-menu--footer li ::before {
  display: none
}

.c-menu--footer > .c-menu__item {
  border-top: 1px solid #4298b5;
  font-weight: 700;
  letter-spacing: 1px;
  margin-bottom: 1.25rem;
  padding-top: .5rem;
  text-transform: uppercase;
  width: 11.875rem
}

.c-menu--footer > .c-menu__item .c-menu__item {
  border-top: 0;
  font-size: 15px;
  font-weight: 400;
  letter-spacing: initial;
  margin-top: .5rem;
  text-transform: none
}

.c-menu__link {
  color: rgb(46,45,41);
}

.c-menu--footer .c-menu__link {
  text-decoration: none
}

.c-menu--footer .c-menu__link:hover, .c-menu--footer .c-menu__link:focus, .c-menu--footer .c-menu__link:active {
  text-decoration: underline
}

.c-menu--subfooter {
  display: flex;
  flex-flow: row nowrap;
  list-style-type: none;
  margin-left: 0;
  padding-left: 0;
  list-style-type: none;
  margin-left: 0;
  padding-left: 0;
  font-size: .875rem;
  line-height: 1.8;
  margin-bottom: 1rem
}

.c-menu--subfooter li {
  padding-left: 0
}

.c-menu--subfooter > li {
  display: inline-block
}

.c-menu--subfooter > li {
  align-items: center;
  display: inline-flex;
  gap: .75em;
  margin-right: .75em
}

.c-menu--subfooter > li.is-active {
  font-weight: 700
}

.c-menu--subfooter > li:last-child ::after {
  display: none
}

.c-menu--subfooter .c-menu__item {
  margin-bottom: 8px
}

.c-menu--subfooter .c-menu__link {
  color: inherit;
  text-decoration: none
}

.c-menu--subfooter .c-menu__link:hover, .c-menu--subfooter .c-menu__link:focus, .c-menu--subfooter .c-menu__link:active {
  color: inherit;
  text-decoration: underline;
  text-decoration-color: inherit
}

.subfooter-logos {
  display: flex;
  flex-wrap: nowrap;
  column-gap: 1rem;
}

.c-menu--subfooter > li, c-menu--subfooter > li > a {
  align-items: center;
  color: #fff;
  display: flex;
  list-style-type: none;
  margin-bottom: 0px;
  overflow-wrap: break-word;
  text-decoration: none;
}

.c-menu--subfooter > li:not(:last-child) ::after {
  background-attachment: scroll;
  background-clip: border-box;
  background-color: rgb(255, 255, 255);
  background-image: none;
  background-origin: padding-box;
  background-position-x: 0;
  background-position-y: 0;
  background-repeat: repeat;
  background-size: auto;
  box-sizing: border-box;
  color: rgb(255, 255, 255);
  content: "";
  display: inline-block;
  height: 1em;
  line-height: 1.4;
  margin-left: 5px;
  margin-right: 5px;
  overflow-wrap: break-word;
  width: 1px;
}

.c-logo {
  display: inline-block;
  vertical-align: middle
}


/*
@media(min-width: 80em) {

  .l-footer >.l-constrain {
    gap: 4rem 6rem
  }

  .l-footer {
    padding: 6rem 0 1.5rem
  }

}

@media(min-width: 64em) {

  .l-subfooter__content {
    padding-right: 65px
  }

  .l-subfooter .l-constrain {
    flex-wrap: nowrap
  }

  .l-global-header {
    padding-block: 18px
  }
}

*/
@media (min-width: 451px) {
  .bottom {
    position: fixed;
  }

  .l-footer__contact {
    grid-area: auto;
    grid-row-start: auto;
    grid-column-start: auto;
    grid-row-end: auto;
    grid-column-end: auto;
  }

  .l-footer {
    padding: 5.125rem 0 1.5rem
  }

  .l-footer__contact {
    grid-area: auto
  }

  .l-footer > .l-constrain {
    align-items: flex-end;
    gap: 4rem;
    grid-template: auto/minmax(min-content,280px) 1fr;
    justify-content: space-between
  }

  .l-footer__menu {
    grid-area: auto
  }

  .l-footer > .l-constrain {
    align-items: flex-end;
    gap: 4rem;
    grid-template: auto/minmax(min-content,280px) 1fr;
    justify-content: space-between
  }


  .l-subfooter .l-constrain {
    flex-flow: row wrap;
    gap: 1.5rem;
    justify-content: space-between
  }

  .c-menu--footer {
    display: grid;
    gap: 40px 30px;
    grid-template-columns: repeat(auto-fit,190px);
    justify-content: flex-end
  }

  .c-menu--footer > .c-menu__item {
    display: block;
    margin-bottom: 0;
    width: auto
  }

  .c-menu--subfooter {
    line-height: 1.4
  }

  .c-menu--subfooter .c-menu__item {
    margin-bottom: 0
  }

}

/*
 * Handle phones
 *
 * iPhones up to the iPhone 17 Pro still have viewports < 450px
 * most Android phones also have viewports < 450px
 */

@media(max-width: 450px) {
  form {
    grid-template-columns: auto;
  }
  form label {
    grid-colum: 1;
    grid-row: 1;
    text-align: center;
  }
  form input {
    grid-column: 1;
    grid-row: 2;
  }
  form button {
    grid-column: 1;
    grid-row: 3;
  }
}
